Bug 810054 - [abrt] mail-notification-5.4-53.fc17: __GI_raise: Process /usr/bin/mail-notification was killed by signal 6 (SIGABRT)
[abrt] mail-notification-5.4-53.fc17: __GI_raise: Process /usr/bin/mail-notif...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
abrt_hash:7be6a88cbfa44fa194534aa0296...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 22:15 EDT by Jonathan Kamens
Modified: 2012-04-11 23:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: mail-notification-5.4-54.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.03 KB, text/plain)
2012-04-04 22:15 EDT, Jonathan Kamens
no flags Details
File: maps (47.40 KB, text/plain)
2012-04-04 22:15 EDT, Jonathan Kamens
no flags Details
File: dso_list (9.09 KB, text/plain)
2012-04-04 22:15 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2012-04-04 22:15:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        mail-notification
comment:        Don't know.
crash_function: __GI_raise
executable:     /usr/bin/mail-notification
kernel:         3.3.0-8.fc17.x86_64
pid:            21529
pwd:            /home/jik
remote_result:  NOTFOUND
time:           Wed 04 Apr 2012 10:10:32 PM EDT
uid:            3009
username:       jik

backtrace:      Text file, 23578 bytes
dso_list:       Text file, 9310 bytes
maps:           Text file, 48541 bytes

build_ids:
:c03bacbe6f25eefdf455852b87a6f28b92d86576
:0a5388cbffa3c90454d5dfc0141192c45f77261d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:7716bc5c1738194dad6ec6679d05ae3782139288
:43ff5c6ac32fdbb249c0738b601d80522e7ff9c8
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:c33078ce2af3b19c35d4e80fe94be13287ebbaf8
:8f7c190397d7c1f617e66f18f759714662b60367
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:2170671d9974e373c3368fbac4e63fd4ed9b0a9f
:9af33edde528c64869abfcce919051d5b15848d9
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:877b58d2798eb249f0bddb906daa8d44c7fe1c27
:f2bcd852f344cf90ce2a2298a4b89d8aaeee8a68
:d8e9047097c904744a0c96768ebd987cbe48516f
:39b6416457511ecdce4ad1c49277eb1a8e385ac8
:6d378b7a7206be10303309b0da0a58a50a5bd4a5
:82cc66a705ac58ff14a50d8d46c8c72279673bf5
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:7ed23ec2dfedf575cb759b30d39b3a0d40998df4
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:fd6500ced2b0f02efe3689d05009499035e1a5c9
:2c09a3f87a92231b0acabb79968d235d61c36967
:4766030df5910bb810d7dfa57df3c74018ffdf52
:33829fd0b891ea3a3211e117ac62e76c694836a4
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:b8fbfcf46c40bfab17852624ec3212cf28e9f8bd
:df2fcf998250578cb1cab52a897fcb873380b82b
:ba411626ac13091abd42b787a74e754ac0188c13
:4194f49481485f98de7853b6407338a4393171ac
:0a902dd3c56eeaca99c00e65f7e0860e46d80cdd
:995f6f18d5910289af8d873e3599caf62f561191
:f03b79397ed9c0851f0541cd15e309cfbd944dad
:71dbf893ef1c9e6a3940f4d943c43717cde4f588
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:3bf2fdd22eec3652e13474e7415167d3fb22babc
:8a58512c2cc89530f70932553442289158de3083
:fa109822e1dfe3c97963318f0a110695ed11430d
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:e9a9183eaeff58fdb4991af304c3d62e913e230a
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d
:583038d51162de9433018478e5e0556eaf40ccc6
:f52d26743ca3b03ad1caf331c0a5538b39ff64a1
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:e789f001d792823f657f39b4f9a2ef4935271c64
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:261a1e9596d39bff68d3c5257eec6614caae9f0a
:7c35310fc506498c612d5d982ab03becc4b4817c
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9
:5ff1c46944f885545e872f1b19b2d15a1ee8f667
:516400711cc3bd73da0013ec0c6c7c1606f89965
:247132297f287226a24c12e683292f5c94013066
:f9cf1e44a2f97bfa171687e20b003e919fcdba8a
:94cad91ee49670237815f754dc44abce8761c692
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:664ed02205756e404bd2c47242bfa068fe47d85d
:050cefadfc35f73c6b1d5308f40f0db8205d33b4
:301bb855a0952a10241e6d7190773fdabf23e383
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:005464563090f9648c12bfa2c9b2f8dcb72313e8
:35873a5c01548849d307db8f8ee296d7d58fb7fb
:508cf66f72e70054a41215f80ed2385c6bb80030
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:8f1c8e7a9290087a1de608de917e41455f885af0
:d3619119ad0d25ba83ce046971658a86199deb1c
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:7e1c87b6e36e94ecdd0a3ba2998c3da6191017b8
:6e2537ccbd5fafa7671f182cbd0b30c46c59bd49
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:f6f9d852c0bacf98c55190befce168c4d40f7bd2
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:1ae3713cde85e9464ebaec5c8d774e8f57d7f8d4
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:b3453387ebb3f1ec604029943375ae2e0f475da7
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jik/68

core_backtrace:
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x35915 raise libc.so.6 -
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x370c8 abort libc.so.6 -
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x7563b __libc_message libc.so.6 -
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x109757 __fortify_fail libc.so.6 -
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x109720 __stack_chk_fail libc.so.6 -
:33829fd0b891ea3a3211e117ac62e76c694836a4 0x48446 - [exe] -
:33829fd0b891ea3a3211e117ac62e76c694836a4 0x485da mn_client_session_enable_ssl [exe] -

environ:
:XDG_VTNR=2
:MANPATH=/home/jik/man:/usr/local/share/man:/usr/share/man:/home/jik/man:/usr/local/share/man:/usr/share/man:/usr/man
:NNTPSERVER=jik3.kamens.brookline.ma.us
:XDG_SESSION_ID=68
:HOSTNAME=jik2.kamens.brookline.ma.us
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8410e26ea99d7673240015d34b2a4789-1333591230.721583-1651972614
:PGPPATH=/home/jik/.pgpdata
:QTDIR=/usr/lib64/qt-3.3
:OLDPWD=/home/jik
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=jik
:OBAMA_PASS=aplflpy
:MAIL=/var/mail/jik
:PATH=/home/jik/bin:/home/jik/scripts:/usr/games:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:LC_COLLATE=C
:PWD=/home/jik
:XMODIFIERS=@im=none
:EDITOR=emacsclient
:KDE_IS_PRELINKED=1
:LANG=en_US
:KDEDIRS=/usr
:HEBCAL_CITY=Boston
:GDMSESSION=gnome
:MAILHOST=jik
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:TEXINPUTS=.:/home/jik/tex:/usr/lib/texmf/tex/language/hebrew:
:XDG_SEAT=seat0
:HOME=/home/jik
:SHLVL=1
:OBAMA_GROUP=JewsforObama
:AUDIOT=/dev/dsp1
:OBAMA_USER=jik-barack@kamens.brookline.ma.us
:LOGNAME=jik
:VISUAL=emacsclient
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mw3wD6Ip5x,guid=eebfefffe23a8bb02704c2bc0000056b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/jik
:DISPLAY=:0
:P4CONFIG=.p4conf
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-jik-STUZMo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/21232,unix/unix:/tmp/.ICE-unix/21232
:GNOME_KEYRING_CONTROL=/run/user/jik/keyring-71gbIj
:SSH_AUTH_SOCK=/run/user/jik/keyring-71gbIj/ssh
:GPG_AGENT_INFO=/run/user/jik/keyring-71gbIj/gpg:0:1
:DESKTOP_AUTOSTART_ID=10e8230c92a0c2fd113335912317288800000212320002
:DESKTOP_STARTUP_ID=gnome-session-21232-jik2.kamens.brookline.ma.us-mail-notification-3_TIME0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95909                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         4294967296           4294967296           bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95909                95909                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     20                   20                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jik/.xsession-errors
:pos:	57448
:flags:	0102002
:2:/home/jik/.xsession-errors
:pos:	57448
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[68095]
:pos:	0
:flags:	00
:6:pipe:[68095]
:pos:	0
:flags:	04001
:7:socket:[68099]
:pos:	0
:flags:	02004002
:8:socket:[68103]
:pos:	0
:flags:	02004002
:9:socket:[67575]
:pos:	0
:flags:	02004002
:10:socket:[68642]
:pos:	0
:flags:	02004002
:11:socket:[68671]
:pos:	0
:flags:	02
:12:socket:[83534]
:pos:	0
:flags:	02004002
:13:pipe:[68259]
:pos:	0
:flags:	00
:14:pipe:[68259]
:pos:	0
:flags:	04001
:15:socket:[68275]
:pos:	0
:flags:	02004002
:16:/dev/urandom
:pos:	0
:flags:	02100000
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:socket:[161838]
:pos:	0
:flags:	02

var_log_messages:
:Apr  2 08:29:57 jik2 abrt[5684]: File '/usr/bin/mail-notification.#prelink#.XiHxCr' seems to be deleted
:Apr  2 08:29:57 jik2 abrt[5684]: File '/usr/bin/mail-notification.#prelink#.XiHxCr' seems to be a prelink temporary file
:Apr  2 08:29:57 jik2 abrt[5684]: Saved core dump of pid 5651 (/usr/bin/mail-notification) to /var/spool/abrt/ccpp-2012-04-02-08:29:57-5651 (32317440 bytes)
:Apr  4 22:10:33 jik2 abrt[377]: Saved core dump of pid 21529 (/usr/bin/mail-notification) to /var/spool/abrt/ccpp-2012-04-04-22:10:32-21529 (31649792 bytes)

xsession_errors:
:** (mail-notification:21529): WARNING **: unable to show popup: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.freedesktop.Notifications' on object at path /org/freedesktop/Notifications
:*** stack smashing detected ***: mail-notification terminated
:mail-notification[0x448446]
:mail-notification(mn_client_session_enable_ssl+0x192)[0x4485da]
:00400000-00477000 r-xp 00000000 fd:00 1840357                            /usr/bin/mail-notification
:00676000-00681000 rw-p 00076000 fd:00 1840357                            /usr/bin/mail-notification
Comment 1 Jonathan Kamens 2012-04-04 22:15:16 EDT
Created attachment 575256 [details]
File: backtrace
Comment 2 Jonathan Kamens 2012-04-04 22:15:18 EDT
Created attachment 575257 [details]
File: maps
Comment 3 Jonathan Kamens 2012-04-04 22:15:20 EDT
Created attachment 575258 [details]
File: dso_list
Comment 4 Boricua 2012-04-05 05:05:12 EDT
Tried to update mail count after restart of system.

backtrace_rating: 4
Package: mail-notification-5.4-53.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Erik van Pienbroek 2012-04-05 10:08:38 EDT
This abrt report looks much more interesting than the other ones we've received for mail-notification lately. This is because of this error:

:*** stack smashing detected ***: mail-notification terminated
:mail-notification[0x448446]
:mail-notification(mn_client_session_enable_ssl+0x192)[0x4485da]

Investigating..
Comment 6 Erik van Pienbroek 2012-04-05 10:49:01 EDT
It turned out to be a stack overflow in the verify_ssl_certificate function. Only IMAP and POP3 mailboxes which are using a SSL connection should be affected. A patched version of mail-notification is now being built
Comment 7 Fedora Update System 2012-04-05 11:01:25 EDT
mail-notification-5.4-54.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mail-notification-5.4-54.fc17
Comment 8 Jonathan Kamens 2012-04-05 14:08:33 EDT
(In reply to comment #5)
> This abrt report looks much more interesting than the other ones we've received
> for mail-notification lately. This is because of this error:
> 
> :*** stack smashing detected ***: mail-notification terminated
> :mail-notification[0x448446]
> :mail-notification(mn_client_session_enable_ssl+0x192)[0x4485da]

Yeah, I thought you'd like that. :-)

(In reply to comment #6)
> It turned out to be a stack overflow in the verify_ssl_certificate function.
> Only IMAP and POP3 mailboxes which are using a SSL connection should be
> affected. A patched version of mail-notification is now being built

I tried myself to figure out where the overflow was happening but at first glance wasn't successful. Just out of curiosity, how did you figure it out?
Comment 9 Fedora Update System 2012-04-05 14:25:29 EDT
Package mail-notification-5.4-54.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mail-notification-5.4-54.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5351/mail-notification-5.4-54.fc17
then log in and leave karma (feedback).
Comment 10 Erik van Pienbroek 2012-04-05 14:26:31 EDT
Thanks to gcc's stack smash protection feature it was quite easy. The backtrace file contains these lines:

#4  0x0000003e17b09720 in __stack_chk_fail () at stack_chk_fail.c:29
No locals.
#5  0x0000000000448446 in verify_ssl_certificate (session=0x7fd1fd64fab0) at src/mn-client-session.c:715

This indicates that something inside the verify_ssl_certificate function was doing something nasty. As this function is reasonable small it was quite easy to find out the real cause
Comment 11 Jonathan Kamens 2012-04-05 14:30:33 EDT
Ah, so you actually read the code. :-)

I looked at line 715 of mn-client-session.c and saw that it was the end of the function, and concluded that I should run the code under valgrind to try to catch when the problem was actually occurring.

I suppose eyeballing the code would have worked better...

Thanks.
Comment 12 Boricua 2012-04-05 15:07:39 EDT
I have some issues with my password for Fedora Project so I can't leave karma for the time being, but I hereby confirm the fix seems to be working as expected.  Good job.
Comment 13 Boricua 2012-04-05 15:13:53 EDT
Ok, I was able to fix my login issue and already left good karma.
Comment 14 Fedora Update System 2012-04-11 23:17:19 EDT
mail-notification-5.4-54.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.